Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.amazonaws.services.ec2.model
Class DescribeInstancesResult

    java.lang.Object
      com.amazonaws.services.ec2.model.DescribeInstancesResult

    public class DescribeInstancesResult

extends Object

The result of describing Amazon EC2 instances.

Constructor Summary
`DescribeInstancesResult()`

Method Summary
`List<Reservation>` | `getReservations()` The list of reservations containing the describes instances.
`void` | `setReservations(Collection<Reservation> reservations)` The list of reservations containing the describes instances.
`String` | `toString()` Returns a string representation of this object; useful for testing and debugging.
`DescribeInstancesResult` | `withReservations(Collection<Reservation> reservations)` The list of reservations containing the describes instances.
`DescribeInstancesResult` | `withReservations(Reservation... reservations)` The list of reservations containing the describes instances.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DescribeInstancesResult

    public DescribeInstancesResult()

Method Detail

### getReservations

    public List<Reservation> getReservations()

  The list of reservations containing the describes instances.

  Returns:
    The list of reservations containing the describes instances.

### setReservations

    public void setReservations(Collection<Reservation> reservations)

  The list of reservations containing the describes instances.

  Parameters:
    `reservations` - The list of reservations containing the describes instances.

### withReservations

    public DescribeInstancesResult withReservations(Reservation... reservations)

  The list of reservations containing the describes instances.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `reservations` - The list of reservations containing the describes instances.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### withReservations

    public DescribeInstancesResult withReservations(Collection<Reservation> reservations)

  The list of reservations containing the describes instances.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `reservations` - The list of reservations containing the describes instances.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### toString

    public String toString()

  Returns a string representation of this object; useful for testing and debugging.

  Overrides:
    `toString` in class `Object`
  Returns:
    A string representation of this object.
  See Also:
    `Object.toString()`

Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Amazon Web Services, Inc. All Rights Reserved.